System Restore overview

System Restore is a component of Windows XP Professional that you can use to restore your computer to a previous state, if a problem occurs, without losing your personal data files (such as Microsoft Word documents, browsing history, drawings, favorites, or e-mail). System Restore monitors changes to the system and some application files, and it automatically creates easily identified restore points. These restore points allow you to revert the system to a previous time. They are created daily and at the time of significant system events (such as when an application or driver is installed). You can also create and name your own restore points at any time.

Notes

  • Restoring your computer does not affect or change your personal data files. For information about backing up personal data files, see Backing up files and folders.
  • For an overview of the other recovery technologies provided with Windows XP, see Recovering Your System.
  • For more information about System Restore, see Understanding System Restore.


Understanding System Restore

System Restore performs the following tasks:

Restores your computer to a previous state

System Restore automatically tracks changes to your computer at all times and at specific intervals by creating restore points before changes occur. Restore points are stored states of your computer.

You can also manually create restore points to record your computer state and settings before you make changes to your computer. This allows you to restore the computer to a previous state, by choosing a restore point on a date or time prior to when you made the change.

For example, if you accidentally delete monitored program files (such as files that have the .exe or .dll file name extensions), or monitored program files become corrupted, you can restore your computer to a state that existed before those changes occurred.

By default, System Restore monitors and restores all partitions and drives on your computer. It also monitors all installations of applications or drivers that users perform through delivery mechanisms such as CD-ROM, floppy disk, Systems Management Server (SMS), or IntelliMirror.

In some rare instances, during the restoration process System Restore restores a folder that has the same name as an existing folder. To avoid writing over the existing file, System Restore renames the folder by adding a numeric suffix to the name.

Restores your computer without losing your personal files

System Restore does not cause you to lose your personal files or password. Items like documents, e-mail messages, browsing history, and the last specified password are saved when you revert to an earlier state with System Restore.

System Restore protects your personal files by not restoring any files in the My Documents folder. It also does not restore any files that use common data file name extensions, such as .doc or .xls. If you're not sure whether your personal files use common data file name extensions, and you do not want the data files to be affected by System Restore, save them in the My Documents folder.

If a program was installed after the restore point that you are restoring to was created, the program might be uninstalled as part of the restoration process. Data files that are created with the program are not lost. However, in order to open the files again, you must reinstall the associated program.

Stores one to three weeks of past restore points

The actual number of saved restore points depends on how much activity there has been on your computer, the size of your hard disk (or the partition that contains your Windows XP Professional folder), and how much disk space has been allocated on your computer to store System Restore information. See To change System Restore settings.

Locates dates associated with restore points

When you run System Restore, a calendar is displayed to help you find dates associated with restore points. If you don't use your computer every day, some days might not have any restore points. If you use your computer frequently, you might have restore points almost every day, and some days might have several restore points.

Ensures that all restorations are reversible

If you do not like the state of your computer after your restore it, you can undo the restoration or select another restore point. All successful restorations are reversible. All failed restorations are automatically reversed by System Restore.

Provides several types of restore points

The list below describes each type of restore point and how System Restore works with each type.

Initial System checkpoints

This restore point is created the first time you start your computer after you upgrade it to Windows XP Professional or when you first start a new computer. Selecting this restore point reverts Windows XP Professional and programs to the state they were in at that time. All files with data file name extensions (such as .doc, .htm, .xls, etc.) and all files in the My Documents folder are not restored.

If System Restore must remove all old restore points to make room for new changes, a new restore point is created and restore points creation resumes from that time.

System checkpoints

System Restore creates restore points on a regular basis even if you have not made any changes to the system. System Restore automatically creates these restore points:

  • every 24 hours of calendar time

    or

  • every 24 hours your computer is turned on

If your computer is turned off for more than 24 hours, System Restore creates a restore point the next time you start the computer. The computer must be idle for a few minutes before System Restore creates a scheduled restore point.

Selecting a scheduled restore point restores Windows XP Professional and programs to the state they were in at that time. Any files with data file name extensions (such as .doc, .htm, .xls, etc.) and all files in the My Documents folder are not restored.

Program name installation restore points

When you install a program by using the latest installers such as InstallShield and Windows XP Professional Installer, System Restore creates a restore point. Use these restore points to track changes made to your system or to restore your computer to the state it was in before you installed the program.

Selecting this restore point removes installed files and registry settings, and restores programs and system files that were altered by the installation. Any files with data file name extensions (such as .doc, .htm, .xls, etc.) and all files in the My Documents folder are not restored.

To revert the changes made by a program that does not use one of the specified installers, select the most recent restore point before the program was installed.

Windows XP Professional automatic update restore points

If you use Windows XP Professional automatic updates to receive downloaded updates, System Restore creates a restore point before installing the updating software. If items are downloaded, but not installed, a restore point is not created. A restore point is created only when the components start to install. Use these points to track changes you made to your system or if these updates might conflict with other products on your computer.

Manually created restore points

You can manually create your own restore points in the System Restore Wizard. When a created restore point is listed in the Select a restore point screen, it includes the name you gave it and is prefaced with the day, date and time it was created. You can create a restore point when you like the way your computer is functioning or before you make changes on your computer, like installing programs, that might make your computer function differently.

Restore operation restore points

Each time you perform a restoration, it is a change made to your computer. System Restore creates restore operation restore points to track the change and the restoration. You can select these restore operation restore points in the Select a restore point screen in the System Restore Wizard to undo the restoration.

Unsigned device driver restore points

System Restore immediately creates a restore point if it detects that you are installing a driver to your computer that has not been signed or certified by Windows Hardware Quality Labs (WHQL). If the installation of the driver makes undesirable changes to your computer, you can select these restore points in the Select a restore point screen in the System Restore Wizard to undo the changes and restore your computer to the state that existed before you installed the driver.

Microsoft Backup utility recovery restore points

When you perform a recovery using the Backup utility, System Restore immediately creates a restore point before the process starts. If the recovery puts your computer in an undesirable state, you can select these restore points in the Select a restore point screen in the System Restore Wizard to undo the changes and restore your computer to the state that existed before you performed the recovery.

Notes

  • If you restore to a restore point before a program was installed, that program does not work after restoration. If you want to use the program again, you must reinstall it.
  • System Restore does not replace the process of uninstalling a program. To completely remove the files installed by a program, you must remove the program using Add or Remove Programs in Control Panel or the program's own uninstall program. XOX
  • System Restore does not monitor or restore contents of redirected folders or any settings associated with roaming user profiles.
  • System Restore monitors and restores only the partitions and drives that it is configured to monitor, not partitions or drives that are redirected or excluded from System Restore monitoring.
  • If you have encrypted program files (such as files that have the .exe or .dll file name extensions), you can ensure that they can never be restored to a decrypted state. To do this, turn off System Restore before you encrypt your files or folders, and then turn System Restore on again after the files or folders are encrypted. Or, if you have already encrypted the files or folders, turn System Restore off and on again. When you turn off System Restore, you delete all restore points. The restore points that are created after System Restore is turned on again will not include times when the files were decrypted. Typically, you only encrypt data files, which are not affected by System Restore.
  • Antivirus utilities can affect whether your system can be restored to a previous point. If a restore point contains an infected file because the utility is not set to clean the file within the restore point, or if an infected file has been removed from a restore point by an antivirus utility because it could not be cleaned, System Restore will not recover the computer to this partial or infected state. If System Restore could not restore your computer to a previous state, and you suspect that one or more restore points contain infected files or have had infected files removed by the antivirus utility, you can remove all restore points from the System Restore archive by turning off System Restore and then turning it back on.

For more information about System Restore, see System Restore overview. For information about using the System Restore Wizard, see Using the System Restore Wizard.

For more information about Encrypting File System, see Encrypting File System.


Using the System Restore Wizard

The System Restore Wizard guides you through the steps of each task in System Restore.

When you run the wizard to restore your computer to an earlier state, it displays the following screens:

Welcome to System Restore

This screen gives you the option to restore your computer to an earlier time or state.

Select a Restore Point

This screen allows you to pick a date on the calendar and then select a restore point to restore your computer to an earlier state.

Confirm Restore Point selection

This screen allows you to change your mind about the selected restore point or the restoration and to save all files and close all programs before starting the restoration. After you confirm the selection, the restoration process starts, the system restarts, and a user logon screen is displayed.

Restoration Complete

This screen indicates your restoration has been successful. If the restoration fails, the Restoration was unsuccessful screen is displayed, and no changes are made to your computer.

For more information about System Restore, see System Restore overview.


Create a Restore Point

Microsoft Windows graphic

To create a Restore Point

  1. Access the System Restore Wizard through Help and Support Center.
  2. Click Create a restore point, and then click Next.
  3. In the Restore point description box, type a name to identify this restore point. System Restore automatically adds to this name the date and time that this Restore Point is created.
    • To finish creating this restore point, click Create.
    • To cancel restore point creation and return to the Welcome to System Restore screen, click Back.
    • To cancel restore point creation and exit the System Restore Wizard, click Cancel.

Notes

  • XOX
  • Creating a restore point can be useful any time you anticipate making changes to your computer that are risky or might make your computer unstable.
  • To view or to return to this restore point, from the Welcome to System Restore screen of the System Restore Wizard select Restore my computer to an earlier time. Then select the date when the restore point was created from the calendar in the Select a Restore Point screen. All of the restore points that were created on the selected date are listed by name in the list box to the right of the calendar.

Related Topics


Undo the Last Restoration

To undo the last restoration

  1. Access System Restore through Help and Support.
  2. Click Undo my last restoration. Save all files and close all programs, and then click Next.

Notes

  • XOX
  • If you want to undo an earlier restoration, click Restore my computer to an earlier time in the Welcome to System Restore screen, and then select the relevant restore operation restore point listed in the System Restore Wizard.


Change System Restore settings

To change System Restore settings

You can change System Restore settings by:

  • Excluding a non-system drive so System Restore does not monitor or restore it
  • Resuming System Restore monitoring
  • Allocating more disk space to System Restore
  • Turning off System Restore
  • Turning on System Restore

Notes

  • System Restore is enabled on all drives when you first start your new computer or when the operating system is installed, unless you have less than 200 MB of available space on the hard disk (or the partition that contains your operating system folder).

    If you do not have enough disk space available when your operating system is installed, then you must turn on System Restore, using the preceding steps, after you have made sufficient disk space available.

  • If you run out of disk space, System Restore becomes inactive. When you have made sufficient disk space available, System Restore is automatically activated, but all previous restore points are lost.

  • When System Restore is turned off on a partition or drive, all restore points stored on that partition or drive are deleted. Changes that are made on an excluded partition or drive are not reverted during a System Restore.


Exclude a non-system drive or partition

To exclude a non-system drive or partition

  1. Open System Properties.
  2. Ensure that the Turn off System Restore check box is cleared.
  3. Under Drive settings, click the non-system drive or partition that you want to exclude, then click Settings.
  4. Select the Turn off System Restore on this drive check box. This option is not available if you have selected a system drive or partition.

Notes

  • XOX In the System Properties dialog box, click the System Restore tab.
  • You can choose to exclude any non-system partition or drive so that System Restore does not monitor or restore it. Changes made on an excluded partition or drive are not restored during a System Restore.


Resume System Restore monitoring

To resume System Restore monitoring

  1. Open System Properties.
  2. Ensure that the Turn off System Restore check box is cleared.
  3. Under Drive settings, select the drive or partition by clicking it, and then click Settings.
  4. Ensure that the Turn off System Restore on this drive check box is cleared.

Note

  • XOX
    • In the System Properties dialog box, click the System Restore tab.


Allocate more disk space for archiving restore points

To allocate more disk space for archiving restore points

  1. Open System Properties.
  2. Select a drive from the Available drives box by clicking it, and then click Settings. If you have only one drive or partition, it is selected for you.
  3. In the Drive <drive:>settings box, move the Disk space to use slider to change the disk space allocation for System Restore. Note that you cannot exceed 12 percent of the available disk space.

Notes

  • XOX In the System Properties dialog box, click the System Restore tab.

  • System Restore requires at least 200 MB of available space on the hard disk (or the partition that contains your operating system folder). For best performance and protection, you should allocate more space.

  • By default, when the operating system installs System Restore on your computer, it allocates approximately 12 percent of the available disk space to System Restore to archive restore points.


Turn off System Restore

To turn off System Restore

  1. Open System Properties.
  2. Ensure that the Turn off System Restore check box is selected.

Notes

  • XOX In the System Properties dialog box, click the System Restore tab.
  • If you cannot turn System Restore off, your domain administrator might have enforced administrative system Group Policy on System Restore. Contact your domain administrator.


Turn on System Restore

To turn on System Restore

  1. Open System Properties.
  2. Ensure that the Turn off System Restore check box is cleared.

Note

  • XOX In the System Properties dialog box, click the System Restore tab.


Run System Restore in Safe mode

To run System Restore in safe mode

  1. Access System Restore through Help and Support.
  2. Follow the instructions on your screen.

Notes

  • XOX
  • While the computer is in safe mode, System Restore does not create any restore points. Therefore, you cannot undo a restoration that you performed when the computer was in safe mode.
  • You can use System Restore to restore your computer to any restore point while in safe mode. If you cannot start the computer in standard mode, you can use System Restore to restore to a time when you could start the computer without errors.
  • To restore to a time when your computer started without errors, select a restore point as close to the time you remember it last started without errors.
  • If System Restore is suspended because of insufficient disk space, you cannot enable it by making more disk space available while in safe mode. You must restart the computer in standard mode and make more disk space available.


Accessing System Restore

You must be a member of the administrator group on your computer to access the System Restore Wizard or change System Restore settings.

If you are an administrator and you cannot access System Restore Wizard or view System Restore settings, your domain administrator might have turned off System Restore by using system Group Policy. Contact your domain administrator for more information.

There are three methods that you can use to access System Restore functionality.

  • You can access the System Restore Wizard through the Start menu. XOX
  • You can access System Restore through Control Panel. XOX
  • You can access System Restore through Help and Support Center. XOX

For more information about System Restore, see System Restore overview.


Disk Space Issues

In order to install and run, System Restore requires at least 200 MB of available space on your hard disk (or on the partition where your operating system folder is located). If you do not have sufficient space available when the operating system is installed, System Restore is installed, but it is not activated. System Restore cannot be turned on until you make at least 200 MB of disk space available.

When System Restore runs low on disk space, the monitoring of all drives is suspended. All drives are displayed as suspended in System Restore Status in Systems Properties in Control Panel. When System Restore is suspended, you cannot run the System Restore Wizard. If you attempt to run the wizard, a dialog box is displayed to inform you that System Restore is suspended. System Restore automatically resumes monitoring when a minimum of 200 MB of disk space become available.

To make more disk space available, do one of the following:

  • Open Disk Cleanup. You can use Disk Cleanup to remove unneeded files.
  • Open Add or Remove Programs. You can use Add or Remove Programs to remove programs or operating system components that you no longer use.

Notes

  • XOX
  • XOX

For more information, see To change System Restore settings.